package com.heyu.api.data.dao.system;
/**
* <p>
* 同性词表（同性词非语言中的同义词，而是指正反一词和同一个结果的词） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.system.SystemSameTalkEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SystemSameTalkDao extends BaseMapper<SystemSameTalkEntity> {


	SystemSameTalkEntity selectSystemSameTalkById(@Param("id")Long id);


	Long insertSystemSameTalk(SystemSameTalkEntity systemSameTalk);


	Long insertOrUpdateSystemSameTalk(SystemSameTalkEntity systemSameTalk);


	int updateSystemSameTalkById(SystemSameTalkEntity systemSameTalk);


	int updateCoverSystemSameTalkById(SystemSameTalkEntity systemSameTalk);


	int deleteSystemSameTalkById(@Param("id")Long id);


}